header:
  title: Pt Line Dashboard
  description: "Shows statistics about agents, who used the newly implemented pt line\
    \ between Cottbus and Hoyerswerda and compares to the trips of those agents in\
    \ the base case."
layout:
  first:
  - type: tile
    height: 0.1
    dataset: analysis/analysis/mean_travel_stats.csv
  income:
  - type: bar
    title: Agents per income group
    dataset: analysis/analysis/pt_persons_income_groups.csv
    x: incomeGroup
    columns:
    - share
    useLastRow: false
    xAxisName: incomeGroup
    yAxisName: share
    stacked: false
  - type: bar
    title: Agents per income group
    dataset: analysis/analysis/pt_persons_income_groups.csv
    x: incomeGroup
    columns:
    - "Count [person]"
    useLastRow: false
    xAxisName: incomeGroup
    yAxisName: "Count [person]"
    stacked: false
  - type: bar
    title: General income distribution
    dataset: analysis/analysis/all_persons_income_groups.csv
    x: incomeGroup
    columns:
    - "Count [person]"
    useLastRow: false
    xAxisName: incomeGroup
    yAxisName: "Count [person]"
    stacked: false
  score:
  - type: bar
    title: Mean score per income group
    dataset: analysis/analysis/pt_persons_mean_score_per_income_group.csv
    x: incomeGroup
    columns:
    - mean_score_base
    - mean_score_policy
    useLastRow: false
    xAxisName: incomeGroup
    yAxisName: mean score
    stacked: false
  age:
  - type: bar
    title: Agents per age group
    dataset: analysis/analysis/pt_persons_age_groups.csv
    x: ageGroup
    columns:
    - share
    useLastRow: false
    xAxisName: ageGroup
    yAxisName: share
    stacked: false
  - type: bar
    title: Agents per age group
    dataset: analysis/analysis/pt_persons_age_groups.csv
    x: ageGroup
    columns:
    - "Count [person]"
    useLastRow: false
    xAxisName: ageGroup
    yAxisName: "Count [person]"
    stacked: false
  - type: bar
    title: General age distribution
    dataset: analysis/analysis/all_persons_age_groups.csv
    x: ageGroup
    columns:
    - "Count [person]"
    useLastRow: false
    xAxisName: ageGroup
    yAxisName: "Count [person]"
    stacked: false
  third:
  - type: plotly
    title: Modal split (base case)
    description: "Shows mode of agents in base case, which used the new pt line in\
      \ the policy case."
    datasets:
      dataset:
        file: analysis/analysis/pt_persons_base_modal_share.csv
        constant:
          source: Base Case Mode
        aggregate:
          target: share
          groupBy:
          - main_mode
          func: SUM
    traces:
    - x: $dataset.share
      "y": $dataset.source
      orientation: h
      type: bar
      name: $dataset.main_mode
    layout:
      barmode: stack
    mergeDatasets: true
  - type: hexagons
    title: Pt line agents home locations
    height: 7.5
    width: 2.0
    file: analysis/analysis/pt_persons_home_locations.csv
    projection: EPSG:25832
    center:
    - 14.5
    - 51.53
    zoom: 6.8
    aggregations:
      home locations:
      - title: person
        x: home_x
        "y": home_y
  fourth:
  - type: csv
    title: Executed scores
    description: '... in base and policy case'
    dataset: analysis/analysis/pt_persons_executed_score.csv
    showAllRows: true
  - type: csv
    title: Travel times
    description: '... in base and policy case'
    dataset: analysis/analysis/pt_persons_trav_time.csv
    showAllRows: true
  - type: csv
    title: Travel distances
    description: '... in base and policy case'
    dataset: analysis/analysis/pt_persons_traveled_distance.csv
    showAllRows: true
